SDL_COLORSPACEPRIMARIES(3)

NAME
SDL_COLORSPACEPRIMARIES - A macro to retrieve the primaries of an SDL_Colorspace.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_COLORSPACEPRIMARIES(cspace)  (SDL_ColorPrimaries)(((cspace) >> 10) & 0x1F)

MACRO PARAMETERS

cspace
    an SDL_Colorspace to check.

RETURN VALUE
Returns the SDL_ColorPrimaries of cspace.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.